package fr.openwide.test.querydsl;

import javax.persistence.MappedSuperclass;

@MappedSuperclass
public abstract class AbstractEntity<P extends AbstractEntity<P>> extends GenericEntity<Integer, P> {

	private static final long serialVersionUID = 1803671157183603979L;
	
	private Integer id;

	@Override
	public Integer getId() {
		return id;
	}

	@Override
	public void setId(Integer id) {
		this.id = id;
	}

}